<IfModule mod_remoteip.c>

    RemoteIPHeader X-Forwarded-For
    RemoteIPTrustedProxy 172.18.0.2/5

</IfModule>

<Directory />

    Options FollowSymLinks
    AllowOverride None

</Directory>

<Directory /var/www/*>

    Options -Indexes +FollowSymLinks
    AllowOverride All
    Require all granted
    DirectorySlash Off

</Directory>

# vhosts
<VirtualHost *:80>

    # ServerName ${APACHE_SERVERNAME}
    # ServerAlias www.${APACHE_SERVERNAME}
    DocumentRoot /var/www/public

    ErrorLog /var/www/apache.log

    RewriteEngine On

    # add trailing slash on folders
    RewriteCond %{LA-U:REQUEST_FILENAME} -d
    RewriteRule ^/(.+)$ /$1/ [R,L]

</VirtualHost>